eCos Reference Manual
Prev |  | Next

# fis init

## Name

fis init -- Initialize Flash Image System (FIS)

## Synopsis

fis init [`-f`]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
-f |  | All blocks of flash memory (except for the boot blocks) will be erased as part of the initialization procedure. |

## Description

This command is used to initialize the Flash Image System (FIS). It should normally only be executed once, when RedBoot is first installed on the hardware. If the reserved images or their sizes in the FIS change, due to a different configuration of RedBoot being used, it may be necessary to issue the command again though.

> Note: Subsequent executions will cause loss of previously stored information in the FIS.

## Examples

Initialize the FIS directory.

    RedBoot> fis init
    About to initialize [format] flash image system - continue (y/n)? y
    *** Initialize FLASH Image System
        Warning: device contents not erased, some blocks may not be usable
    ... Erase from 0x00070000-0x00080000: .
    ... Program from 0x0606f000-0x0607f000 at 0x00070000: .

Initialize the FIS directory and all of flash memory, except for first blocks of the flash where the boot monitor resides.

    RedBoot> fis init -f
    About to initialize [format] flash image system - continue (y/n)? y
    *** Initialize FLASH Image System
    ... Erase from 0x00020000-0x00070000: .....
    ... Erase from 0x00080000-0x00080000:
    ... Erase from 0x00070000-0x00080000: .
    ... Program from 0x0606f000-0x0607f000 at 0x00070000: .

Prev | Home | Next
Flash Image System (FIS) | Up | fis list